Compilation errors in Arduino 1.6.5



  • I have just found issues with Arduino environment.
    Adding the following
    #include <SD.h>
    #include <FS.h>
    #include <FSImpl.h>
    #include <vfs_api.h>
    #include <M5Stack.h>
    #include <SPI.h>
    #include <Wire.h>
    #include <M5Stack.h>

    Is needed to get the examples to compile.



  • Hi @ajb2k3,

    Are you actually using Arduino IDE version 1.6.5 from 2015 - or is that a typo ?

    From your comments, I am not sure what issue you have found.

    Depending what sketch you are trying to load will dictate what libraries will need to be referenced at the start of the sketch, such as those you list.

    If you are having problems loading the examples, perhaps pick one and outline some specific details including error messages.


登录后回复
 

与 M5Stack Community 的连接断开,我们正在尝试重连,请耐心等待